SINH(3) | Library Functions Manual | SINH(3)

# NAME

`sinh`, `sinhf` —
hyperbolic sine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`sinh`(double x);

float
`sinhf`(float x);

# DESCRIPTION

The `sinh`() function computes the hyperbolic sine of x.

# RETURN VALUES

The `sinh`() function returns the hyperbolic sine value unless the magnitude of x is too large; in this event, the global variable errno is set to `ERANGE`.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), tan(3), tanh(3)

# STANDARDS

The `sinh`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

April 19, 1991 | NetBSD 9.0